#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes.MultiTouchStack
{	
	#region PluginInfo
	[PluginInfo(Name = "Slide", Category = "MultiTouchStack", Author = "elliotwoods", Tags = "split")]
	#endregion PluginInfo
	public class SlideNode : IPluginEvaluate
	{
		#region fields & pins
		[Input("Input")]
		public ISpread<Slide> FInSlides;
		
		[Output("ID")]
		public ISpread<int> FOutID;
		
		[Output("Transform")]
		public ISpread<Matrix4x4> FOutTransform;
		
		[Output("Position")]
		public ISpread<Vector2D> FOutPosition;
		
		[Output("Rotation")]
		public ISpread<Double> FOutRotation;
		
		[Output("Scale")]
		public ISpread<Double> FOutScale;
		
		[Output("Aspect Ratio")]
		public ISpread<Double> FOutAspectRatio;
		
		[Output("Tags")]
		public ISpread<String> FOutTags;
		
		[Output("Cursors Attached")]
		public ISpread<ISpread<Cursor>> FOutCursorsAttached;

		[Import()]
		public ILogger FLogger;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			
		}
	}
}
